* {
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

#nav-bar {
  border-bottom: 1px black solid;
  padding: 0px 10px 0px 10px;
}

.nav-btn {
  border-bottom: 1px black solid;
  width: 20em;
  margin: auto;
  margin-top: 15px;
  background-color: rgb(238, 238, 238);
  text-decoration: none;
  color: black;
  width: 10%;
  display: inline-block;
  text-align: center;
  min-width: 200px;

}

.nav-btn:hover {
  background-color: rgb(199, 199, 199);
  box-shadow: 3px 3px 2px rgba(0, 0, 0, 0.24);
}

html,
body {
  height: 100vh;
  width: 100%;
  margin: 0;
  padding: 0;
}

.cookies {
  margin: auto;
  width: 100%;
  text-align: center;
}

hr {
  margin-top: 30px;
}

.darkmode {
  color: rgb(211, 211, 211);
  background-color: rgb(37, 45, 78);
  text-decoration-color: aqua;
}

.title {
  display: inline-block;
  padding-left: 10%;
  margin-right: 3%;
  color: black;
  text-align: center;
}

.link {
  color: rgb(253, 22, 253);
}

.darklink {
  color: aqua;
}

.darkmodetitle {
  color: rgb(211, 211, 211);
  display: inline-block;
  padding-left: 10%;
  margin-right: 3%;
  text-align: center;
}


#sliderDiv {
  display: inline-block;
}

/* The switch - the box around the slider */
.switch {
  position: relative;
  display: inline-block;
  width: 50px;
  height: 18.5px;
  margin-top: auto;
  vertical-align: middle;
  margin-left: 1%;
}

/* Hide default HTML checkbox */
.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

/* The slider */
.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #b3b3b3;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 12px;
  width: 12px;
  left: 6px;
  bottom: 3.5px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked+.slider {
  background-color: #1a6db1;
}

input:focus+.slider {
  box-shadow: 0 0 1px #2196F3;
}

input:checked+.slider:before {
  -webkit-transform: translateX(25px);
  -ms-transform: translateX(25px);
  transform: translateX(25px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}

.switch-label {
  display: inline-block;
  margin-left: 4px;
  height: 20px;
}

#labelforslider {
  display: inline-block;
}

@media only screen and (max-width: 910px) {
  #sliderDiv {
    margin-top: 15px;
    margin-bottom: 15px;
  }

  .nav-btn {
    border: 1px black solid;
    width: 20em;
    margin: auto;
    margin-top: 15px;
    background-color: rgb(238, 238, 238);
    text-decoration: none;
    color: black;
    width: 30%;
    display: block;
    text-align: center;
    min-width: 70%
  }

  #nav-bar {
    text-align: center;
  }

  .title,
  #title {
    display: block;
    padding-left: 0;
    margin-right: 0;
    color: black;
    text-align: center;
    text-decoration: none;
  }

  .darkmodetitle {
    color: rgb(211, 211, 211);
    display: block;
    padding-left: 0;
    margin-right: 0;
    text-align: center;
    text-decoration: none;
  }

  #degrees {
    min-width: 315px;
    margin-left: auto;
    margin-right: auto;
  }

  #text-center {
    width: 100%;
  }

  #wrapper {
    width: 100%;
  }

  /* The switch - the box around the slider */
  .switch {
    position: relative;
    display: inline-block;
    width: 50px;
    height: 18.5px;
    margin-top: auto;
    vertical-align: middle;
    margin-left: 1%;
  }

  /* Hide default HTML checkbox */
  .switch input {
    opacity: 0;
    width: 0;
    height: 0;
  }

  /* The slider */
  .slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #b3b3b3;
    -webkit-transition: .4s;
    transition: .4s;
  }

  .slider:before {
    position: absolute;
    content: "";
    height: 12px;
    width: 12px;
    left: 6px;
    bottom: 3.5px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
  }

  input:checked+.slider {
    background-color: #1a6db1;
  }

  input:focus+.slider {
    box-shadow: 0 0 1px #2196F3;
  }

  input:checked+.slider:before {
    -webkit-transform: translateX(25px);
    -ms-transform: translateX(25px);
    transform: translateX(25px);
  }

  /* Rounded sliders */
  .slider.round {
    border-radius: 34px;
  }

  .slider.round:before {
    border-radius: 50%;
  }

  .switch-label {
    display: inline-block;
    margin-left: 4px;
    height: 20px;
  }

  #labelforslider {
    display: inline-block;
  }
}

@media only screen and (max-width: 690px) {
  #canvas {
    width: 50%;
  }
}